Public Member Functions | Public Attributes | List of all members
BeagleWksBMParserInternal::State Struct Reference

Internal: the state of a BeagleWksBMParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
long | m_graphicBegin
| the graphic begin position More...
Bitmap | m_bitmap
| the bitmap data More...
shared_ptr< MWAWPict > | m_pict
| the bitmap More...
std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| the type entry map More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a BeagleWksBMParser.

## Constructor & Destructor Documentation

## ◆ State()

BeagleWksBMParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int BeagleWksBMParserInternal::State::m_actPage

the actual page

## ◆ m_bitmap

Bitmap BeagleWksBMParserInternal::State::m_bitmap

the bitmap data

## ◆ m_footerHeight

int BeagleWksBMParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_graphicBegin

long BeagleWksBMParserInternal::State::m_graphicBegin

the graphic begin position

## ◆ m_headerHeight

int BeagleWksBMParserInternal::State::m_headerHeight

the header height if known

## ◆ m_numPages

int BeagleWksBMParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_pict

shared_ptr<MWAWPict> BeagleWksBMParserInternal::State::m_pict

the bitmap

## ◆ m_typeEntryMap

std::multimap<std::string, MWAWEntry> BeagleWksBMParserInternal::State::m_typeEntryMap

the type entry map

The documentation for this struct was generated from the following file:

- BeagleWksBMParser.cxx